Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.jdbc
Class ResultSetWrapper

    java.lang.Object
      org.hibernate.jdbc.ResultSetWrapper

All Implemented Interfaces:
  ResultSet

    public class ResultSetWrapper

extends Object
implements ResultSet

A ResultSet delegate, responsible for locally caching the columnName-to-columnIndex resolution that has been found to be inefficient in a few vendor's drivers (i.e., Oracle and Postgres).

Author:
  Steve Ebersole

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`ResultSetWrapper(ResultSet resultSet, ColumnNameCache columnNameCache)`

Method Summary
`boolean` | `absolute(int row)`
`void` | `afterLast()`
`void` | `beforeFirst()`
`void` | `cancelRowUpdates()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `deleteRow()`
`int` | `findColumn(String columnName)` Overridden version to utilize local caching of the column indexes by name to improve performance for those drivers which are known to not support such caching by themselves.
`boolean` | `first()`
`Array` | `getArray(int columnIndex)`
`Array` | `getArray(String colName)`
`InputStream` | `getAsciiStream(int columnIndex)`
`InputStream` | `getAsciiStream(String columnName)`
`BigDecimal` | `getBigDecimal(int columnIndex)`
`BigDecimal` | `getBigDecimal(int columnIndex, int scale)`
`BigDecimal` | `getBigDecimal(String columnName)`
`BigDecimal` | `getBigDecimal(String columnName, int scale)`
`InputStream` | `getBinaryStream(int columnIndex)`
`InputStream` | `getBinaryStream(String columnName)`
`Blob` | `getBlob(int columnIndex)`
`Blob` | `getBlob(String columnName)`
`boolean` | `getBoolean(int columnIndex)`
`boolean` | `getBoolean(String columnName)`
`byte` | `getByte(int columnIndex)`
`byte` | `getByte(String columnName)`
`byte[]` | `getBytes(int columnIndex)`
`byte[]` | `getBytes(String columnName)`
`Reader` | `getCharacterStream(int columnIndex)`
`Reader` | `getCharacterStream(String columnName)`
`Clob` | `getClob(int columnIndex)`
`Clob` | `getClob(String columnName)`
`int` | `getConcurrency()`
`String` | `getCursorName()`
`Date` | `getDate(int columnIndex)`
`Date` | `getDate(int columnIndex, Calendar cal)`
`Date` | `getDate(String columnName)`
`Date` | `getDate(String columnName, Calendar cal)`
`double` | `getDouble(int columnIndex)`
`double` | `getDouble(String columnName)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`float` | `getFloat(int columnIndex)`
`float` | `getFloat(String columnName)`
`int` | `getInt(int columnIndex)`
`int` | `getInt(String columnName)`
`long` | `getLong(int columnIndex)`
`long` | `getLong(String columnName)`
`ResultSetMetaData` | `getMetaData()`
`Object` | `getObject(int columnIndex)`
`Object` | `getObject(int columnIndex, Map map)`
`Object` | `getObject(String columnName)`
`Object` | `getObject(String columnName, Map map)`
`Ref` | `getRef(int columnIndex)`
`Ref` | `getRef(String columnName)`
`int` | `getRow()`
`short` | `getShort(int columnIndex)`
`short` | `getShort(String columnName)`
`Statement` | `getStatement()`
`String` | `getString(int columnIndex)`
`String` | `getString(String columnName)`
`Time` | `getTime(int columnIndex)`
`Time` | `getTime(int columnIndex, Calendar cal)`
`Time` | `getTime(String columnName)`
`Time` | `getTime(String columnName, Calendar cal)`
`Timestamp` | `getTimestamp(int columnIndex)`
`Timestamp` | `getTimestamp(int columnIndex, Calendar cal)`
`Timestamp` | `getTimestamp(String columnName)`
`Timestamp` | `getTimestamp(String columnName, Calendar cal)`
`int` | `getType()`
`InputStream` | `getUnicodeStream(int columnIndex)`
`InputStream` | `getUnicodeStream(String columnName)`
`URL` | `getURL(int columnIndex)`
`URL` | `getURL(String columnName)`
`SQLWarning` | `getWarnings()`
`void` | `insertRow()`
`boolean` | `isAfterLast()`
`boolean` | `isBeforeFirst()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `last()`
`void` | `moveToCurrentRow()`
`void` | `moveToInsertRow()`
`boolean` | `next()`
`boolean` | `previous()`
`void` | `refreshRow()`
`boolean` | `relative(int rows)`
`boolean` | `rowDeleted()`
`boolean` | `rowInserted()`
`boolean` | `rowUpdated()`
`void` | `setFetchDirection(int direction)`
`void` | `setFetchSize(int rows)`
`void` | `updateArray(int columnIndex, Array x)`
`void` | `updateArray(String columnName, Array x)`
`void` | `updateAsciiStream(int columnIndex, InputStream x, int length)`
`void` | `updateAsciiStream(String columnName, InputStream x, int length)`
`void` | `updateBigDecimal(int columnIndex, BigDecimal x)`
`void` | `updateBigDecimal(String columnName, BigDecimal x)`
`void` | `updateBinaryStream(int columnIndex, InputStream x, int length)`
`void` | `updateBinaryStream(String columnName, InputStream x, int length)`
`void` | `updateBlob(int columnIndex, Blob x)`
`void` | `updateBlob(String columnName, Blob x)`
`void` | `updateBoolean(int columnIndex, boolean x)`
`void` | `updateBoolean(String columnName, boolean x)`
`void` | `updateByte(int columnIndex, byte x)`
`void` | `updateByte(String columnName, byte x)`
`void` | `updateBytes(int columnIndex, byte[] x)`
`void` | `updateBytes(String columnName, byte[] x)`
`void` | `updateCharacterStream(int columnIndex, Reader x, int length)`
`void` | `updateCharacterStream(String columnName, Reader x, int length)`
`void` | `updateClob(int columnIndex, Clob x)`
`void` | `updateClob(String columnName, Clob x)`
`void` | `updateDate(int columnIndex, Date x)`
`void` | `updateDate(String columnName, Date x)`
`void` | `updateDouble(int columnIndex, double x)`
`void` | `updateDouble(String columnName, double x)`
`void` | `updateFloat(int columnIndex, float x)`
`void` | `updateFloat(String columnName, float x)`
`void` | `updateInt(int columnIndex, int x)`
`void` | `updateInt(String columnName, int x)`
`void` | `updateLong(int columnIndex, long x)`
`void` | `updateLong(String columnName, long x)`
`void` | `updateNull(int columnIndex)`
`void` | `updateNull(String columnName)`
`void` | `updateObject(int columnIndex, Object x)`
`void` | `updateObject(int columnIndex, Object x, int scale)`
`void` | `updateObject(String columnName, Object x)`
`void` | `updateObject(String columnName, Object x, int scale)`
`void` | `updateRef(int columnIndex, Ref x)`
`void` | `updateRef(String columnName, Ref x)`
`void` | `updateRow()`
`void` | `updateShort(int columnIndex, short x)`
`void` | `updateShort(String columnName, short x)`
`void` | `updateString(int columnIndex, String x)`
`void` | `updateString(String columnName, String x)`
`void` | `updateTime(int columnIndex, Time x)`
`void` | `updateTime(String columnName, Time x)`
`void` | `updateTimestamp(int columnIndex, Timestamp x)`
`void` | `updateTimestamp(String columnName, Timestamp x)`
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetWrapper

    public ResultSetWrapper(ResultSet resultSet,
                            ColumnNameCache columnNameCache)

Method Detail

### findColumn

    public int findColumn(String columnName)
                   throws SQLException

  Overridden version to utilize local caching of the column indexes by name to improve performance for those drivers which are known to not support such caching by themselves.

  This implementation performs the caching based on the upper case version of the given column name.

  Specified by:
    `findColumn` in interface `ResultSet`
  Parameters:
    `columnName` - The column name to resolve into an index.
  Returns:
    The column index corresponding to the given column name.
  Throws:
    `SQLException` - - if the ResultSet object does not contain columnName or a database access error occurs

### getArray

    public Array getArray(String colName)
                   throws SQLException

  Specified by:
    `getArray` in interface `ResultSet`
  Throws:
    `SQLException`

### updateArray

    public void updateArray(String columnName,
                            Array x)
                     throws SQLException

  Specified by:
    `updateArray` in interface `ResultSet`
  Throws:
    `SQLException`

### getAsciiStream

    public InputStream getAsciiStream(String columnName)
                               throws SQLException

  Specified by:
    `getAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(String columnName,
                                  InputStream x,
                                  int length)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(String columnName)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(String columnName,
                                    int scale)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBigDecimal

    public void updateBigDecimal(String columnName,
                                 BigDecimal x)
                          throws SQLException

  Specified by:
    `updateBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBinaryStream

    public InputStream getBinaryStream(String columnName)
                                throws SQLException

  Specified by:
    `getBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(String columnName,
                                   InputStream x,
                                   int length)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getBlob

    public Blob getBlob(String columnName)
                 throws SQLException

  Specified by:
    `getBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(String columnName,
                           Blob x)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### getBoolean

    public boolean getBoolean(String columnName)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBoolean

    public void updateBoolean(String columnName,
                              boolean x)
                       throws SQLException

  Specified by:
    `updateBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### getByte

    public byte getByte(String columnName)
                 throws SQLException

  Specified by:
    `getByte` in interface `ResultSet`
  Throws:
    `SQLException`

### updateByte

    public void updateByte(String columnName,
                           byte x)
                    throws SQLException

  Specified by:
    `updateByte` in interface `ResultSet`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes(String columnName)
                    throws SQLException

  Specified by:
    `getBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBytes

    public void updateBytes(String columnName,
                            byte[] x)
                     throws SQLException

  Specified by:
    `updateBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(String columnName)
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(String columnName,
                                      Reader x,
                                      int length)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getClob

    public Clob getClob(String columnName)
                 throws SQLException

  Specified by:
    `getClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(String columnName,
                           Clob x)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(String columnName)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(String columnName,
                        Calendar cal)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDate

    public void updateDate(String columnName,
                           Date x)
                    throws SQLException

  Specified by:
    `updateDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getDouble

    public double getDouble(String columnName)
                     throws SQLException

  Specified by:
    `getDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDouble

    public void updateDouble(String columnName,
                             double x)
                      throws SQLException

  Specified by:
    `updateDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### getFloat

    public float getFloat(String columnName)
                   throws SQLException

  Specified by:
    `getFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### updateFloat

    public void updateFloat(String columnName,
                            float x)
                     throws SQLException

  Specified by:
    `updateFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### getInt

    public int getInt(String columnName)
               throws SQLException

  Specified by:
    `getInt` in interface `ResultSet`
  Throws:
    `SQLException`

### updateInt

    public void updateInt(String columnName,
                          int x)
                   throws SQLException

  Specified by:
    `updateInt` in interface `ResultSet`
  Throws:
    `SQLException`

### getLong

    public long getLong(String columnName)
                 throws SQLException

  Specified by:
    `getLong` in interface `ResultSet`
  Throws:
    `SQLException`

### updateLong

    public void updateLong(String columnName,
                           long x)
                    throws SQLException

  Specified by:
    `updateLong` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(String columnName)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(String columnName,
                            Map map)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(String columnName,
                             Object x)
                      throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(String columnName,
                             Object x,
                             int scale)
                      throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getRef

    public Ref getRef(String columnName)
               throws SQLException

  Specified by:
    `getRef` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRef

    public void updateRef(String columnName,
                          Ref x)
                   throws SQLException

  Specified by:
    `updateRef` in interface `ResultSet`
  Throws:
    `SQLException`

### getShort

    public short getShort(String columnName)
                   throws SQLException

  Specified by:
    `getShort` in interface `ResultSet`
  Throws:
    `SQLException`

### updateShort

    public void updateShort(String columnName,
                            short x)
                     throws SQLException

  Specified by:
    `updateShort` in interface `ResultSet`
  Throws:
    `SQLException`

### getString

    public String getString(String columnName)
                     throws SQLException

  Specified by:
    `getString` in interface `ResultSet`
  Throws:
    `SQLException`

### updateString

    public void updateString(String columnName,
                             String x)
                      throws SQLException

  Specified by:
    `updateString` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(String columnName)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(String columnName,
                        Calendar cal)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTime

    public void updateTime(String columnName,
                           Time x)
                    throws SQLException

  Specified by:
    `updateTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(String columnName)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTimestamp

    public void updateTimestamp(String columnName,
                                Timestamp x)
                         throws SQLException

  Specified by:
    `updateTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(String columnName,
                                  Calendar cal)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getUnicodeStream

    public InputStream getUnicodeStream(String columnName)
                                 throws SQLException

  Specified by:
    `getUnicodeStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getURL

    public URL getURL(String columnName)
               throws SQLException

  Specified by:
    `getURL` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNull

    public void updateNull(String columnName)
                    throws SQLException

  Specified by:
    `updateNull` in interface `ResultSet`
  Throws:
    `SQLException`

### getConcurrency

    public int getConcurrency()
                       throws SQLException

  Specified by:
    `getConcurrency` in interface `ResultSet`
  Throws:
    `SQLException`

### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

  Specified by:
    `getFetchDirection` in interface `ResultSet`
  Throws:
    `SQLException`

### getFetchSize

    public int getFetchSize()
                     throws SQLException

  Specified by:
    `getFetchSize` in interface `ResultSet`
  Throws:
    `SQLException`

### getRow

    public int getRow()
               throws SQLException

  Specified by:
    `getRow` in interface `ResultSet`
  Throws:
    `SQLException`

### getType

    public int getType()
                throws SQLException

  Specified by:
    `getType` in interface `ResultSet`
  Throws:
    `SQLException`

### afterLast

    public void afterLast()
                   throws SQLException

  Specified by:
    `afterLast` in interface `ResultSet`
  Throws:
    `SQLException`

### beforeFirst

    public void beforeFirst()
                     throws SQLException

  Specified by:
    `beforeFirst` in interface `ResultSet`
  Throws:
    `SQLException`

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws SQLException

  Specified by:
    `cancelRowUpdates` in interface `ResultSet`
  Throws:
    `SQLException`

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `ResultSet`
  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `ResultSet`
  Throws:
    `SQLException`

### deleteRow

    public void deleteRow()
                   throws SQLException

  Specified by:
    `deleteRow` in interface `ResultSet`
  Throws:
    `SQLException`

### insertRow

    public void insertRow()
                   throws SQLException

  Specified by:
    `insertRow` in interface `ResultSet`
  Throws:
    `SQLException`

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws SQLException

  Specified by:
    `moveToCurrentRow` in interface `ResultSet`
  Throws:
    `SQLException`

### moveToInsertRow

    public void moveToInsertRow()
                         throws SQLException

  Specified by:
    `moveToInsertRow` in interface `ResultSet`
  Throws:
    `SQLException`

### refreshRow

    public void refreshRow()
                    throws SQLException

  Specified by:
    `refreshRow` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRow

    public void updateRow()
                   throws SQLException

  Specified by:
    `updateRow` in interface `ResultSet`
  Throws:
    `SQLException`

### first

    public boolean first()
                  throws SQLException

  Specified by:
    `first` in interface `ResultSet`
  Throws:
    `SQLException`

### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

  Specified by:
    `isAfterLast` in interface `ResultSet`
  Throws:
    `SQLException`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

  Specified by:
    `isBeforeFirst` in interface `ResultSet`
  Throws:
    `SQLException`

### isFirst

    public boolean isFirst()
                    throws SQLException

  Specified by:
    `isFirst` in interface `ResultSet`
  Throws:
    `SQLException`

### isLast

    public boolean isLast()
                   throws SQLException

  Specified by:
    `isLast` in interface `ResultSet`
  Throws:
    `SQLException`

### last

    public boolean last()
                 throws SQLException

  Specified by:
    `last` in interface `ResultSet`
  Throws:
    `SQLException`

### next

    public boolean next()
                 throws SQLException

  Specified by:
    `next` in interface `ResultSet`
  Throws:
    `SQLException`

### previous

    public boolean previous()
                     throws SQLException

  Specified by:
    `previous` in interface `ResultSet`
  Throws:
    `SQLException`

### rowDeleted

    public boolean rowDeleted()
                       throws SQLException

  Specified by:
    `rowDeleted` in interface `ResultSet`
  Throws:
    `SQLException`

### rowInserted

    public boolean rowInserted()
                        throws SQLException

  Specified by:
    `rowInserted` in interface `ResultSet`
  Throws:
    `SQLException`

### rowUpdated

    public boolean rowUpdated()
                       throws SQLException

  Specified by:
    `rowUpdated` in interface `ResultSet`
  Throws:
    `SQLException`

### wasNull

    public boolean wasNull()
                    throws SQLException

  Specified by:
    `wasNull` in interface `ResultSet`
  Throws:
    `SQLException`

### getByte

    public byte getByte(int columnIndex)
                 throws SQLException

  Specified by:
    `getByte` in interface `ResultSet`
  Throws:
    `SQLException`

### getDouble

    public double getDouble(int columnIndex)
                     throws SQLException

  Specified by:
    `getDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### getFloat

    public float getFloat(int columnIndex)
                   throws SQLException

  Specified by:
    `getFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### getInt

    public int getInt(int columnIndex)
               throws SQLException

  Specified by:
    `getInt` in interface `ResultSet`
  Throws:
    `SQLException`

### getLong

    public long getLong(int columnIndex)
                 throws SQLException

  Specified by:
    `getLong` in interface `ResultSet`
  Throws:
    `SQLException`

### getShort

    public short getShort(int columnIndex)
                   throws SQLException

  Specified by:
    `getShort` in interface `ResultSet`
  Throws:
    `SQLException`

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws SQLException

  Specified by:
    `setFetchDirection` in interface `ResultSet`
  Throws:
    `SQLException`

### setFetchSize

    public void setFetchSize(int rows)
                      throws SQLException

  Specified by:
    `setFetchSize` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNull

    public void updateNull(int columnIndex)
                    throws SQLException

  Specified by:
    `updateNull` in interface `ResultSet`
  Throws:
    `SQLException`

### absolute

    public boolean absolute(int row)
                     throws SQLException

  Specified by:
    `absolute` in interface `ResultSet`
  Throws:
    `SQLException`

### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### relative

    public boolean relative(int rows)
                     throws SQLException

  Specified by:
    `relative` in interface `ResultSet`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes(int columnIndex)
                    throws SQLException

  Specified by:
    `getBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws SQLException

  Specified by:
    `updateByte` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws SQLException

  Specified by:
    `updateDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws SQLException

  Specified by:
    `updateFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws SQLException

  Specified by:
    `updateInt` in interface `ResultSet`
  Throws:
    `SQLException`

### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws SQLException

  Specified by:
    `updateLong` in interface `ResultSet`
  Throws:
    `SQLException`

### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws SQLException

  Specified by:
    `updateShort` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws SQLException

  Specified by:
    `updateBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws SQLException

  Specified by:
    `updateBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### getAsciiStream

    public InputStream getAsciiStream(int columnIndex)
                               throws SQLException

  Specified by:
    `getAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getBinaryStream

    public InputStream getBinaryStream(int columnIndex)
                                throws SQLException

  Specified by:
    `getBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getUnicodeStream

    public InputStream getUnicodeStream(int columnIndex)
                                 throws SQLException

  Specified by:
    `getUnicodeStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  InputStream x,
                                  int length)
                           throws SQLException

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   InputStream x,
                                   int length)
                            throws SQLException

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(int columnIndex)
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      Reader x,
                                      int length)
                               throws SQLException

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(int columnIndex)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(int columnIndex,
                             Object x)
                      throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(int columnIndex,
                             Object x,
                             int scale)
                      throws SQLException

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getCursorName

    public String getCursorName()
                         throws SQLException

  Specified by:
    `getCursorName` in interface `ResultSet`
  Throws:
    `SQLException`

### getString

    public String getString(int columnIndex)
                     throws SQLException

  Specified by:
    `getString` in interface `ResultSet`
  Throws:
    `SQLException`

### updateString

    public void updateString(int columnIndex,
                             String x)
                      throws SQLException

  Specified by:
    `updateString` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex,
                                    int scale)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 BigDecimal x)
                          throws SQLException

  Specified by:
    `updateBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getURL

    public URL getURL(int columnIndex)
               throws SQLException

  Specified by:
    `getURL` in interface `ResultSet`
  Throws:
    `SQLException`

### getArray

    public Array getArray(int columnIndex)
                   throws SQLException

  Specified by:
    `getArray` in interface `ResultSet`
  Throws:
    `SQLException`

### updateArray

    public void updateArray(int columnIndex,
                            Array x)
                     throws SQLException

  Specified by:
    `updateArray` in interface `ResultSet`
  Throws:
    `SQLException`

### getBlob

    public Blob getBlob(int columnIndex)
                 throws SQLException

  Specified by:
    `getBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(int columnIndex,
                           Blob x)
                    throws SQLException

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### getClob

    public Clob getClob(int columnIndex)
                 throws SQLException

  Specified by:
    `getClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(int columnIndex,
                           Clob x)
                    throws SQLException

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(int columnIndex)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDate

    public void updateDate(int columnIndex,
                           Date x)
                    throws SQLException

  Specified by:
    `updateDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getRef

    public Ref getRef(int columnIndex)
               throws SQLException

  Specified by:
    `getRef` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRef

    public void updateRef(int columnIndex,
                          Ref x)
                   throws SQLException

  Specified by:
    `updateRef` in interface `ResultSet`
  Throws:
    `SQLException`

### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

  Specified by:
    `getMetaData` in interface `ResultSet`
  Throws:
    `SQLException`

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `ResultSet`
  Throws:
    `SQLException`

### getStatement

    public Statement getStatement()
                           throws SQLException

  Specified by:
    `getStatement` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(int columnIndex)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTime

    public void updateTime(int columnIndex,
                           Time x)
                    throws SQLException

  Specified by:
    `updateTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(int columnIndex)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                Timestamp x)
                         throws SQLException

  Specified by:
    `updateTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(int columnIndex,
                            Map map)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(int columnIndex,
                        Calendar cal)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(int columnIndex,
                        Calendar cal)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(int columnIndex,
                                  Calendar cal)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD